diff --git a/src/test/regress/expected/sequence.out b/src/test/regress/expected/sequence.out
index 1f161cf..87feb08 100644
--- a/src/test/regress/expected/sequence.out
+++ b/src/test/regress/expected/sequence.out
@@ -372,91 +372,6 @@ REVOKE ALL ON seq3 FROM seq_user;
 SELECT lastval();
 ERROR:  permission denied for sequence seq3
 ROLLBACK;
-CREATE TABLE serialTest3 (f1 bigint, f2 bigint);
--- Test SEQUENCE tied to a field
-CREATE SEQUENCE seq4 OWNED BY serialTest3.f1;
-ALTER TABLE serialTest3 DROP COLUMN f1;
--- Should fail since seq4 shouldn't exit
-DROP SEQUENCE seq4;
-ERROR:  sequence "seq4" does not exist
--- Should work. Check that OWNED BY works as expected
-CREATE SEQUENCE seq5 OWNED BY serialTest3.f2;
-ALTER SEQUENCE seq5 OWNED BY NONE;
-DROP TABLE serialTest3;
-DROP SEQUENCE seq5;
--- Should fail, Invalid CACHE value
-CREATE SEQUENCE seq6 CACHE 0;
-ERROR:  CACHE (0) must be greater than zero
--- Ensure correct MAXVALUE for descending sequence. Also check valid CACHE value
-CREATE SEQUENCE seq7 INCREMENT -1 CACHE 2;
-SELECT nextval('seq7');
- nextval 
----------
-      -1
-(1 row)
-
-SELECT nextval('seq7');
- nextval 
----------
-      -2
-(1 row)
-
-DROP SEQUENCE seq7;
--- Should stop incr when INCREMENT 1, CACHE > 1, MAXVALUE < 0, near MAXVALUE
-CREATE SEQUENCE seq8 INCREMENT 1 CACHE 3 MINVALUE -2 MAXVALUE -1;
-SELECT nextval('seq8');
- nextval 
----------
-      -2
-(1 row)
-
-SELECT nextval('seq8');
- nextval 
----------
-      -1
-(1 row)
-
-SELECT nextval('seq8');
-ERROR:  nextval: reached maximum value of sequence "seq8" (-1)
-DROP SEQUENCE seq8;
--- Should stop decr when INCREMENT -1, CACHE > 1, MINVALUE > 0, near MINVALUE
-CREATE SEQUENCE seq9 INCREMENT -1 CACHE 3 MINVALUE 1 MAXVALUE 2;
-SELECT nextval('seq9');
- nextval 
----------
-       2
-(1 row)
-
-SELECT nextval('seq9');
- nextval 
----------
-       1
-(1 row)
-
-SELECT nextval('seq9');
-ERROR:  nextval: reached minimum value of sequence "seq9" (1)
-DROP SEQUENCE seq9;
--- Should cycle when CYCLE is SET
-CREATE SEQUENCE seq10 CYCLE INCREMENT -1 MINVALUE 1 MAXVALUE 2;
-SELECT nextval('seq10');
- nextval 
----------
-       2
-(1 row)
-
-SELECT nextval('seq10');
- nextval 
----------
-       1
-(1 row)
-
-SELECT nextval('seq10');
- nextval 
----------
-       2
-(1 row)
-
-DROP SEQUENCE seq10;
 -- Sequences should get wiped out as well:
 DROP TABLE serialTest, serialTest2;
 -- Make sure sequences are gone:
diff --git a/src/test/regress/sql/sequence.sql b/src/test/regress/sql/sequence.sql
index aeaa60c..a32e049 100644
--- a/src/test/regress/sql/sequence.sql
+++ b/src/test/regress/sql/sequence.sql
@@ -171,51 +171,6 @@ REVOKE ALL ON seq3 FROM seq_user;
 SELECT lastval();
 ROLLBACK;
 
-CREATE TABLE serialTest3 (f1 bigint, f2 bigint);
-
--- Test SEQUENCE tied to a field
-CREATE SEQUENCE seq4 OWNED BY serialTest3.f1;
-ALTER TABLE serialTest3 DROP COLUMN f1;
-
--- Should fail since seq4 shouldn't exit
-DROP SEQUENCE seq4;
-
--- Should work. Check that OWNED BY works as expected
-CREATE SEQUENCE seq5 OWNED BY serialTest3.f2;
-ALTER SEQUENCE seq5 OWNED BY NONE;
-DROP TABLE serialTest3;
-DROP SEQUENCE seq5;
-
--- Should fail, Invalid CACHE value
-CREATE SEQUENCE seq6 CACHE 0;
-
--- Ensure correct MAXVALUE for descending sequence. Also check valid CACHE value
-CREATE SEQUENCE seq7 INCREMENT -1 CACHE 2;
-SELECT nextval('seq7');
-SELECT nextval('seq7');
-DROP SEQUENCE seq7;
-
--- Should stop incr when INCREMENT 1, CACHE > 1, MAXVALUE < 0, near MAXVALUE
-CREATE SEQUENCE seq8 INCREMENT 1 CACHE 3 MINVALUE -2 MAXVALUE -1;
-SELECT nextval('seq8');
-SELECT nextval('seq8');
-SELECT nextval('seq8');
-DROP SEQUENCE seq8;
-
--- Should stop decr when INCREMENT -1, CACHE > 1, MINVALUE > 0, near MINVALUE
-CREATE SEQUENCE seq9 INCREMENT -1 CACHE 3 MINVALUE 1 MAXVALUE 2;
-SELECT nextval('seq9');
-SELECT nextval('seq9');
-SELECT nextval('seq9');
-DROP SEQUENCE seq9;
-
--- Should cycle when CYCLE is SET
-CREATE SEQUENCE seq10 CYCLE INCREMENT -1 MINVALUE 1 MAXVALUE 2;
-SELECT nextval('seq10');
-SELECT nextval('seq10');
-SELECT nextval('seq10');
-DROP SEQUENCE seq10;
-
 -- Sequences should get wiped out as well:
 DROP TABLE serialTest, serialTest2;
 
